#include <iostream>
#include <vector>
#include <algorithm>
typedef long long ll;
#define FOR(i, n) for (int i = 0; i < n; ++i)

int main() {
	int n;
	std::cin >> n;
	std::vector<std::vector<char>> ma(2, std::vector<char>(4, ' '));
	ma[0][1] = '/';
	ma[0][2] = '\\';
	ma[1][0] = '/';
	ma[1][1] = '_';
	ma[1][2] = '_';
	ma[1][3] = '\\';
	FOR(group, n - 1) {
		std::vector<std::vector<char>> newMa(2 * ma.size(), std::vector<char>(2 * ma[0].size(), ' '));
		for (int i = ma.size(); i < newMa.size(); ++i) {
			for (int j = 0; j < ma[0].size(); ++j) {
				newMa[i][j] = ma[i - ma.size()][j];
			}
			for (int j = ma[0].size(); j < 2 * ma[0].size(); ++j) {
				newMa[i][j] = ma[i - ma.size()][j - ma[0].size()];
			}
		}
		for (int i = 0; i < ma.size(); ++i) {
			int offset = ma.size();
			for (int j = 0; j < ma[0].size(); ++j) {
				newMa[i][j + offset] = ma[i][j];
			}
		}
		ma = newMa;
	}
	FOR(i, ma.size()) {
		bool fl = false;
		std::vector<bool> used(ma[i].size());
		for (int j = ma[i].size() - 1; j >= 0; --j) {
			fl |= ma[i][j] != ' ';
			used[j] = fl;
		}
		FOR(j, ma[i].size()) {
			if (used[j])
			std::cout << ma[i][j];
		}
		std::cout << '\n';
	}
	return 0;
}