#include <iostream>
#include <vector>
#include <stack>
#include <set>
#include <algorithm>
typedef long long ll;
#define FOR(i, n) for (ll i = 0; i < n; ++i)

struct func {
	int k, m;
	func() {}
	func(int _k, int _m) {
		k = _k;
		m = _m;
	}
	int getfunc(int n) {
		return k * n + m;
	}
};
struct ConvexHull {
	std::vector<std::pair<int, func>> cur;

	ConvexHull() {
		cur.push_back({ 0, func(-1000, -100) });
	}

	void insert(func x) {
		while (cur.size() >= 2) {
			int p = cur.back().first;
			func f = cur.back().second;
		}
	}
};

int main() {
	std::ios::sync_with_stdio(false);
	int n, m;
	std::cin >> n >> m;
	std::vector<int> a(n), right(n, n + 1);
	FOR(i, n) {
		std::cin >> a[i];
	}
	std::vector<ll> dp(n);
	ll max = 0, maxi = 0;
	FOR(i, n) {
		dp[i] = (i + 1) * m;
		for (ll j = std::max(0LL, i - 4); j < i; ++j) {
			dp[i] = std::max(dp[i], dp[j] / a[j] * a[i] + i * m - j * m + (dp[j] % a[j]));
			dp[i] = std::max(dp[i], dp[j] + (i - j) * m);
		}
	}
	ll stupid = 0, current = 0;
	FOR(i, n) {
		current += m;
		stupid += current / a[i];
		current %= a[i];
	}
	std::cout << stupid << ' ';
	std::cout << dp.back() / a.back();
	return 0;
}